open-vm-tools 2013.09.16

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ToolsAppReg Struct Reference
VMware Tools Plugins

`#include <plugin.h>`

## Data Fields
ToolsAppType | type
GArray * | data

## Detailed Description

Defines a "app-specific" registration. The array contains data specific to an "application provider" implementation.

When the service is shutting down, if the data field is not NULL, the array instance will be freed, including its backing element array. See the documentation for g_array_free(). This will happen only after any plugin's shutdown callback is called, so plugins have a chance of performing custom clean up of this data.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/plugin.h